SremSsemLayer Class Reference

`#include <SremSsemLayer.hh>`

Inheritance diagram for SremSsemLayer:

## Public Member Functions

| SremSsemLayer ()
| SremSsemLayer (const std::string &p_type, const std::string &param)
virtual | ~SremSsemLayer ()
void | sendMsg (const LibItsSremSsem__TestSystem::SremReq &, Params &params)
void | sendMsg (const LibItsSremSsem__TestSystem::SsemReq &, Params &params)
virtual void | send_data (OCTETSTRING &data, Params &params)
| Send bytes formated data to the lower layers. More...
virtual void | receive_data (OCTETSTRING &data, Params &info)
| Receive bytes formated data from the lower layers. More...
Public Member Functions inherited from t_layer< LibItsSremSsem__TestSystem::SremSsemPort >
| t_layer ()
| The list of the upper ports. More...
| t_layer (const std::string &p_type)
| Specialized constructor Create a new instance of the layer class with its type description. More...
void | add_upper_port (LibItsSremSsem__TestSystem::SremSsemPort *p_port)
| Add a new upper port layer. More...
void | remove_upper_port (LibItsSremSsem__TestSystem::SremSsemPort *)
| Remove the specified upper layer port protocol from the list of the upper layers. More...
Public Member Functions inherited from layer
| layer ()
| Type description, it indicates the protocol type (e.g. CAM, DENM, GN, ETH, PCAP...) More...
| layer (const std::string &p_type)
| Specialized constructor Create a new instance of the layer class with its type description. More...
virtual | ~layer ()
| Default destructor. More...
void | delete_layer ()
| Delete this layer. More...
void | add_upper_layer (layer *p_layer)
| Add a new layer in the list of the upper layer. More...
void | remove_upper_layer (layer *p_layer)
| Remove the specified upper layer protocol from the list of the upper layer. More...
const std::string & | to_string () const
| Remove the specified upper layer protocol from the list of the upper layer. More...

## Private Attributes

Params | _params
SremCodec | _srem_codec
SsemCodec | _ssem_codec

## Additional Inherited Members

Protected Member Functions inherited from t_layer< LibItsSremSsem__TestSystem::SremSsemPort >
void | to_all_upper_ports (const TMessage &p_message, const Params &p_params)
| Forward the message to all available upper port layers. More...
Protected Member Functions inherited from layer
void | to_all_layers (std::vector< layer *> &layers, OCTETSTRING &data, Params &params)
void | receive_to_all_layers (OCTETSTRING &data, Params &params)
void | send_to_all_layers (OCTETSTRING &data, Params &params)
Protected Attributes inherited from layer
std::string | type
| List of the lower protocol layers. More...

## Constructor & Destructor Documentation

## SremSsemLayer() [1/2]

SremSsemLayer::SremSsemLayer | ( |  | ) |

inline

## SremSsemLayer() [2/2]

SremSsemLayer::SremSsemLayer | ( | const std::string & | p_type,
|  | const std::string & | param
| ) |  |

## ~SremSsemLayer()

virtual SremSsemLayer::~SremSsemLayer | ( |  | ) |

inlinevirtual

## Member Function Documentation

## receive_data()

void SremSsemLayer::receive_data | ( | OCTETSTRING & | data,
|  | Params & | params
| ) |  |

virtual

Receive bytes formated data from the lower layers.

Parameters

  [in] | p_data | The bytes formated data received
  [in] | p_params | Some lower layers parameters values when data was received

Todo:
  Remove the logs

Reimplemented from layer.

## send_data()

void SremSsemLayer::send_data | ( | OCTETSTRING & | data,
|  | Params & | params
| ) |  |

virtual

Send bytes formated data to the lower layers.

Parameters

  [in] | p_data | The data to be sent
  [in] | p_params | Some parameters to overwrite default value of the lower layers parameters

Todo:
  Remove the logs

Reimplemented from layer.

## sendMsg() [1/2]

void SremSsemLayer::sendMsg | ( | const LibItsSremSsem__TestSystem::SremReq & | p,
|  | Params & | params
| ) |  |

## sendMsg() [2/2]

void SremSsemLayer::sendMsg | ( | const LibItsSremSsem__TestSystem::SsemReq & | p,
|  | Params & | params
| ) |  |

## Member Data Documentation

## _params

Params SremSsemLayer::_params

private

## _srem_codec

SremCodec SremSsemLayer::_srem_codec

private

## _ssem_codec

SsemCodec SremSsemLayer::_ssem_codec

private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/SremSsemLayer.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/SremSsemLayer.cc